<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\OrderAdditionalData\Model;

class LengowOrderFactory
{
    protected $moduleManager;
    protected $objectManager;

    public function __construct(
        \Magento\Framework\Module\Manager $moduleManager,
        \Magento\Framework\ObjectManagerInterface $objectManager 
    ) {
        $this->moduleManager = $moduleManager;
        $this->objectManager = $objectManager;
    }

    public function create(array $data = array())
    {
        if ($this->moduleManager->isEnabled('Lengow_Connector')) {
            $instanceName =  'Lengow\Connector\Model\Import\Order';
        } else {
            $instanceName = 'Magento\Framework\DataObject';
        }
        return $this->objectManager->create($instanceName, $data);
    }
}